"Static version not so static"

可恶的GPL。。。。。
因为win坏了,起不来。于是就只好转用freebsd/ubuntu。因为GF住的地方和我很远,于是每天就只能skype。
呃……头晕,装了AMD64版的ubuntu。但是skype在linux下只有for i386的。话说,即便是32bit的elf,只要不缺动态库,在64bit的OS下不也一样运行吗?好么,简单,下个static版的skype回来就行了。但是呢,下载完后用ldd一看,发现,哪是static啊,依赖10多个so呢。
后来在他们的jira上找到了解答:
https://developer.skype.com/jira/browse/SCL-251
简单来说,很多库是基于GPL或者 LGPL协议的。他们无法把这些库打包入自己程序中,除非采用一个与之兼容的版权协议。
回头想,那些做linux发行版的公司,真可怜

此博客中的热门博文

少写代码,多读别人写的代码

在windows下使用llvm+clang

tensorflow distributed runtime初窥